--- old/usr/src/cmd/rpcgen/rpc_sample.c	Sun Aug  3 11:09:17 2014
+++ new/usr/src/cmd/rpcgen/rpc_sample.c	Sun Aug  3 11:09:17 2014
@@ -20,6 +20,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -87,10 +89,7 @@
 
 	f_print(fout, "\n\nvoid\n");
 	pvname(program_name, vp->vers_num);
-	if (Cflag)
-		f_print(fout, "(char *host)\n{\n");
-	else
-		f_print(fout, "(host)\n\tchar *host;\n{\n");
+	f_print(fout, "(char *host)\n{\n");
 	f_print(fout, "\tCLIENT *clnt;\n");
 
 	i = 0;
@@ -222,10 +221,7 @@
 			} else {
 				f_print(fout, "bool_t\n");
 			}
-			if (Cflag || mtflag)
-				pvname_svc(proc->proc_name, vp->vers_num);
-			else
-				pvname(proc->proc_name, vp->vers_num);
+			pvname_svc(proc->proc_name, vp->vers_num);
 			printarglist(proc, "result", RQSTP, "struct svc_req *");
 
 			f_print(fout, "{\n");
@@ -258,17 +254,9 @@
 		if (mtflag) {
 			f_print(fout, "\nint\n");
 			pvname(def->def_name, vp->vers_num);
-			if (Cflag)
-				f_print(fout, "_freeresult(SVCXPRT *transp,"
-				    " xdrproc_t xdr_result,"
-				    " caddr_t result)\n");
-			else {
-				f_print(fout, "_freeresult(transp, xdr_result,"
-				    " result)\n");
-				f_print(fout, "\tSVCXPRT *transp;\n");
-				f_print(fout, "\txdrproc_t xdr_result;\n");
-				f_print(fout, "\tcaddr_t result;\n");
-			}
+			f_print(fout, "_freeresult(SVCXPRT *transp,"
+			    " xdrproc_t xdr_result,"
+			    " caddr_t result)\n");
 			f_print(fout, "{\n"
 			    "\t(void) xdr_free(xdr_result, result);\n"
 			    "\n\t/*\n\t * Insert additional freeing"
@@ -302,11 +290,7 @@
 	version_list *vp;
 
 	f_print(fout, "\n\n");
-	if (Cflag)
-		f_print(fout, "int\nmain(int argc, char *argv[])\n{\n");
-	else
-		f_print(fout, "int\nmain(argc, argv)\n\tint argc;\n"
-		    "\tchar *argv[];\n{\n");
+	f_print(fout, "int\nmain(int argc, char *argv[])\n{\n");
 
 	f_print(fout, "\tchar *host;");
 	f_print(fout, "\n\n\tif (argc < 2) {");
